package de.hawhamburg.reachability.conf.enumeration;

/**
 * Possible types of configuration.<br><br>
 * 
 * This enumeration defines possible configuration types.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum ConfigType {
    
    /**
     * Configuration of the main system (Stuff like debug, source, etc..).
     */
    SYSTEM,
    
    /**
     * Configuration of the reasoning engine.
     */
    REASONER,
    
    /**
     * Configuration of the file logger.
     */
    LOGGER;
}
